<template>
    <v-card :color="color"  class="mx-auto mt-3" width="700" @mouseover="color='grey'" @mouseleave="color='white'">
        <v-container>
            <v-row align="center">    
                <v-col>
                    <v-row> 
                        <h2 style="cursor: pointer" @click="openEpisode"> {{episode.name}}
                        </h2>
                    </v-row>
                    <v-row>
                        <v-col>
                            <span>Air date : <v-chip>{{episode.air_date}}</v-chip></span>
                        </v-col>
                        <v-col>
                            <span>Episode : {{episode.episode}}</span>
                        </v-col>
                    </v-row>
                    <v-row>
                        <span>Created at : {{getCreatedAt}}</span>
                    </v-row>
                </v-col>
                <v-col cols="1" style="cursor: pointer" @click="openEpisode">
                    <v-icon>mdi-eye</v-icon>
                </v-col>
            </v-row>
            <v-row>
                <v-expansion-panels>
                    <v-expansion-panel>
                        <v-expansion-panel-header>
                            Episodes
                        </v-expansion-panel-header>
                        <v-expansion-panel-content>
                        <v-container>
                            <v-row v-for="character in episode.characters" :key="character">
                                <character-episode :character="character"/>
                            </v-row>
                        </v-container>
                        </v-expansion-panel-content>
                    </v-expansion-panel>
            </v-expansion-panels>
            </v-row>
        </v-container>
    </v-card>
</template>
<script>
import moment from 'moment'
import CharacterEpisode from './Elements/characterEpisode.vue';

export default {
  components: {CharacterEpisode  },
    props: {episode: null},
    data: () => ({
        color: 'white',
  }),
  computed: {
      getCreatedAt(){
          return moment(this.episode.created).format("DD/MM/yyyy");
      }
  },
  methods: {
      openEpisode(){
          this.$router.push({name: 'episode',query: { id: this.episode.id },});
      },
  }
    
}
</script>
<style>

</style>